SymLink Attack

Affecting numpy package, versions [,1.8.1)

Do your applications use this vulnerable package? Test your applications

Overview

numpy is a array processing for numbers, strings, records, and objects. ' Affected versions of this package are vulnerable to Symlink attacks.

References

CVSS Score

5.5
medium severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N
Credit
Julian Taylor
CVE
CVE-2014-1858
CWE
CWE-377
Snyk ID
SNYK-PYTHON-NUMPY-40268
Disclosed
06 Feb, 2014
Published
06 Feb, 2014